Subject: Re: bug#72831: [PATCH] gnus-icalendar: Allow comments in event replies

From: Robert Pluim <[email-masked]>
Date: Thu, 29 Aug 2024 09:52:37 +0200

>>>>> On Wed, 28 Aug 2024 18:35:55 +0200, Ferdinand Pieper <[email-masked]> said:
    >> So if the event was sent with a COMMENT the receiver canʼt add their
    >> own? That doesnʼt match my conception of 'reply with comment'. Iʼm
    >> hazy on whatʼs exactly allowed in ical, can you have more than one
    >> COMMENT line? Or we could combine the comments?

    Ferdinand> If it already exists it is replaced by the prior
    >> >> ((string= key "COMMENT") (update-comment line))
    Ferdinand> Just if it does not exist the `(string= key "COMMENT")` never matches and we have to add the field.

Sorry, I missed that bit.

    >> I think we tend to word this as
    >> 
    >> "Optional argument COMMENT-P (interactively the prefix argument) means
    >> prompt for a comment to include in the reply."

    Ferdinand> Updated using `\\[universal-argument]'. Or does that not matter here and just "prefix argument" would be fine?

Either one is fine I think.

    >> Ideally youʼd add test cases for this to
    >> "test/lisp/gnus/gnus-icalendar-tests.el". But thatʼs not mandatory.

    Ferdinand> I looked into it and will add a few tests for accepting/declining events with and without comments. I will followup on this in a couple days.
    Ferdinand> It might also make sense to extend the parsing of events to recognize comments (and potentially display them inside emacs.

That would be good as a followup patch.

Robert
--